proc general_header {title header help frames} {

set target ""
if {$frames != ""} {
	set target "TARGET=\"_parent\""
}
    puts "<HTML><HEAD><TITLE>$title</TITLE></HEAD>
          <BODY bgcolor=\"#FFFFFF\"> <BR>

          <MAP NAME=\"FrontPageMap\">
          <AREA SHAPE=\"RECT\" COORDS=\"410, 5, 500, 25\" 
           HREF=\"/\" $target>
          <AREA SHAPE=\"RECT\" COORDS=\"410, 30, 530, 50\" 
           HREF=\"/users/manage_users.tcl\" $target>
          <AREA SHAPE=\"RECT\" COORDS=\"410, 50, 450, 74\"
           HREF=\"/components/frameup.cgi?admin&MNGNGSRS.HTM&$help\"
           TARGET=\"help_window\">
          </MAP>

          <img src=\"/images/nav-bar-users.jpg\"
           ismap usemap=\"#FrontPageMap\" 
           width=\"640\" height=\"85\" border=\"0\"
           alt=\"$title\">
          <FONT SIZE=\"+1\"><BR><STRONG>$header</STRONG></FONT>
          <BR><HR><BR>"
}


proc general_trailer {help prev prevTag top topTag frames} {

set target ""
if {$frames != ""} {
	set target "TARGET=\"_parent\""
}


    puts "<HR>"

    if {$prev != ""} {
	puts "<A HREF=\"/users/$prev\" $target> 
              <IMG SRC=\"/images/prev_aqua.gif\" 
                ALT=\"Back To $prevTag\"></A>"
    }
     if {$top != ""} {
	puts "<A HREF=\"/users/$top\" $target> 
              <IMG SRC=\"/images/top_aqua.gif\" 
                ALT=\"Up To $topTag\"></A>"
    }

    puts "<A HREF=\"/users/manage_users.tcl\" $target> 
        <IMG SRC=\"/images/home_aqua.gif\" 
          ALT=\"Manage Users\"></A>

        <A HREF=\"/\" $target> 
        <IMG SRC=\"/images/home_main.gif\" 
          ALT=\"Main Menu\" $target></A>

        <A HREF=\"/components/frameup.cgi?admin&MNGNGSRS.HTM&$help\" 
           TARGET=\"help_window\">
        <IMG SRC=\"/images/help.gif\" ALT=\"Help\"></A>

         </BODY></HTML>"
}

proc users_header {title help} {
    puts "<HTML><HEAD><TITLE>$title</TITLE></HEAD>
          <BODY bgcolor=\"#FFFFFF\">
          <BR><MAP NAME=\"FrontPageMap\">

          <AREA SHAPE=\"RECT\" COORDS=\"415, 20, 500, 35\" 
           HREF=\"/\">
          <AREA SHAPE=\"RECT\" COORDS=\"415, 40, 455, 55\"
           HREF=\"/components/frameup.cgi?admin&MNGNGSRS.HTM&$help\"
           TARGET=\"help_window\">
          </MAP>

          <img src=\"/images/nav-bar-users-top.jpg\"  
           ismap usemap=\"#FrontPageMap\" 
           width=\"640\" height=\"85\" border=\"0\"
           alt=\"$title\">
          <BR><HR><BR>"
}


proc users_trailer {help} {
  puts "<HR><A HREF=\" / \"> 
       <IMG SRC=\" /images/home_main.gif \" ALT=\" Main Menu \"></A>
       <A HREF=\"/components/frameup.cgi?admin&MNGNGSRS.HTM&$help\"
        TARGET=\"help_window\">
       <IMG SRC=\"/images/help.gif\" ALT=\"Help\"></A>
       </BODY></HTML>"
}

proc success_msg {} {
	puts "<IMG SRC=\"/images/success.gif\" 
              ALT=\"Success\">&nbsp;&nbsp
             <FONT SIZE=\"+1\">
             <STRONG>Success</STRONG></FONT><BR><BR>"
}

proc error_msg {} {
	puts "<IMG SRC=\"/images/error.gif\" 
               ALT=\"Error\">&nbsp;&nbsp 
              <FONT SIZE=\"+1\"><STRONG>Error</STRONG></FONT>
              <BR><BR>"
}


proc ldap_enabled {} {

    set bsd ""
    set pid ""

    catch {set bsd [exec grep "libsialdap" /etc/sia/matrix.conf]}
    catch {set pid [exec grep "^ldapcd" /etc/inittab]}

    if {($bsd != "") && ($pid != "")} {
	return 1
    } else {
	return 0
    }
}

proc use_ldap_groups {} {

    set disablegroup ""

    catch {set disablegroup [exec grep "disablegroup:" /etc/ldapcd.conf | cut -d: -f2]}

    set value [string trim [string trim $disablegroup] \"]

    if {$value == 1} {
	return 0
    } else { 
	return 1
    }

}

if {![info exists gup_been_here]} {
  puts "Content-type: text/html
"
  flush stdout
}
set gup_been_here 1
